#ifndef VULKAN_SWAPCHAIN_H
#define VULKAN_SWAPCHAIN_H

#include "utilities/commons.h"
#include "graphics_context.h"

/**
 * @brief Cleanup swapchain
 *
 */
void cleanup_swapchain(struct graphics_context_t* context);

/**
 * @brief Recreates swapchain
 *
 */
void recreate_swapchain(struct graphics_context_t* context);

/**
 * @brief Create a swapchain and framebuffers object
 *
 * @param context graphical context
 * @return rse_err_t RSE_ERROR_NO_ERROR on success
 */
rse_err_t create_swapchain_and_framebuffers(struct graphics_context_t* context);

#endif /* VULKAN_SWAPCHAIN_H */
